/*
** Module   : Nameable.java
** Abstract : An API for objects that can have a name.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 SVL  20131128 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * An API for objects that can have a name.
 */
public interface Nameable
{
   /**
    * Get the <code>name</code> attribute of handle.
    *
    * @return   See above.
    */
   @LegacyAttribute(name = "NAME")
   public character getName();

   /**
    * Set the <code>name</code> attribute of handle.
    *
    * @param name
    *        The name to be set.
    */
   @LegacyAttribute(name = "NAME", setter = true)
   public void setName(String name);

   /**
    * Set the <code>name</code> attribute of handle.
    *
    * @param name
    *        The name to be set.
    */
   @LegacyAttribute(name = "NAME", setter = true)
   public void setName(character name);
}
